## Struct allowed_base

zeep::xml::doctype::allowed_base

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/xml/doctype.hpp>

    struct allowed_base {
      // construct/copy/destruct
      allowed_base();
      ~allowed_base();

      // public member functions
      virtual state_ptr create_state() const = 0;
      virtual bool element_content() const;
      virtual void print(std::ostream &) = 0;
    };

## Description

### `allowed_base` public construct/copy/destruct

1.     allowed_base();

2.     ~allowed_base();

### `allowed_base` public member functions

1.     virtual state_ptr create_state() const = 0;

2.     virtual bool element_content() const;

3.     virtual void print(std::ostream & os) = 0;